/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.dw.db.dao.DwCaseDesignInfoDao;
import net.northking.cctp.dw.db.service.DwCaseDesignInfoService;
import net.northking.cctp.dw.db.entity.DwCaseDesignInfo;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.saas.db.TenantEntityService;

import net.northking.cctp.dw.dto.DwCaseDesignInfoDto;
import net.northking.cctp.dw.dto.DwCaseDesignInfoQueryDto;
import net.northking.cctp.dw.dto.MtCaseDesignChartDetailDto;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * dw用例表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-01-26 15:45:30  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "DwCaseDesignInfoServiceImpl")
public class DwCaseDesignInfoServiceImpl extends TenantEntityService<DwCaseDesignInfo> implements DwCaseDesignInfoService {

    private static final Logger logger = LoggerFactory.getLogger(DwCaseDesignInfoServiceImpl.class);

    private final DwCaseDesignInfoDao dwCaseDesignInfoDao;

    public DwCaseDesignInfoServiceImpl(DwCaseDesignInfoDao dwCaseDesignInfoDao) {
        this.dwCaseDesignInfoDao = dwCaseDesignInfoDao;
    }

    public BasicDao<DwCaseDesignInfo> getDao() {
        return dwCaseDesignInfoDao;
    }

    public DwCaseDesignInfo createEntity() {
        return new DwCaseDesignInfo();
    }

    @Override
    public Integer insertByBatchDwCaseDesignInfo(List<DwCaseDesignInfo> dwCaseDesignInfoList) {
        return dwCaseDesignInfoDao.insertByBatchDwCaseDesignInfo(dwCaseDesignInfoList);
    }

    @Override
    public Integer deleteBatch(List<String> deletedIds) {
        return dwCaseDesignInfoDao.deleteBatch(deletedIds);
    }

    @Override
    public List<MtCaseDesignChartDetailDto> listQuery(DwCaseDesignInfoQueryDto query) {
        return dwCaseDesignInfoDao.listQuery(query);
    }

    @Override
    public List<DwCaseDesignInfoDto> getProjectId() {
        return dwCaseDesignInfoDao.getProjectId();
    }

}

